Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Linwood
AuthorEmail: admin@linwood.dev
SourceCode: https://github.com/LinwoodCloud/butterfly
IssueTracker: https://github.com/LinwoodCloud/butterfly/issues
Translation: https://linwood.crowdin.com/butterfly
Changelog: https://github.com/LinwoodCloud/butterfly/blob/stable/CHANGELOG.md

AutoName: Butterfly

RepoType: git
Repo: https://github.com/LinwoodCloud/butterfly.git

Builds:
  - versionName: 1.0.0-rc.1
    versionCode: 4
    commit: v1.0.0-rc.1
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.2
    versionCode: 5
    commit: 1af2706a4fb053c869128c1da0f60a2c1df91ffe
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.3
    versionCode: 6
    commit: cebe8156118e1f61fe8647a6ee4a9c1cd15f4cfa
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.4
    versionCode: 7
    commit: bea2eb6be2a408e40e8632e7a3234e7eaf2adae1
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.5
    versionCode: 8
    commit: 33fe5cd1c3b36a7e216c50731350dbd1d978daf4
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0-rc.6
    versionCode: 9
    commit: c509d244d7d63262df043fe64f056621ce2ce97c
    subdir: app
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.0
    versionCode: 10
    commit: f958a170213ce84326d8bd0baa0b85482030c9a6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.0
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 11
    commit: 56cfd1469ec033342710939804ffc10c1384bd80
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.1
    versionCode: 12
    commit: 967579e6e1b06896febed384e7c3bc5d9ba4c413
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.2
    versionCode: 13
    commit: 533285974596fd41d82b7589f85d5f99cd3804e9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.0
    versionCode: 14
    commit: 3270a34c839c97b1c35364a493f121cb14cc3586
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-alpha.0
    versionCode: 16
    commit: d79acc54576ffea396037c811281171478b78611
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-alpha.1
    versionCode: 17
    commit: 1dca3271e79ff92b72b1f1da7a12e3635ae879bf
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0-alpha.2
    versionCode: 18
    commit: 3b73175bab5dc5356b4568309e5acf7a3c8cb636
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - app/ios
      - app/linux
      - app/macos
      - app/web
      - app/windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.+$
UpdateCheckData: app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.3.0-alpha.2
CurrentVersionCode: 18
